Bug 1203023 - some operations in LibreOffice are causing Xorg with nouveau to crash Xorg
Summary: some operations in LibreOffice are causing Xorg with nouveau to crash Xorg
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 22:27 UTC by Marcin Steć
Modified: 2015-12-02 17:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:12:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcin Steć 2015-03-17 22:27:24 UTC
Description of problem:
Display frozen after selecting some text in LibreOffice Writer and pressing the menu bar. 
Only display hangs. It is still possible to kill Xorg from remote session. Corresponding journalctl entries:

mar 17 21:39:32 ajax kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
mar 17 21:39:34 ajax kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
mar 17 21:39:34 ajax kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
mar 17 21:39:35 ajax kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE)
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) Backtrace:
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 0: /usr/libexec/Xorg.bin (mieqEnqueue+0x24b) [0x5796db]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 1: /usr/libexec/Xorg.bin (QueuePointerEvents+0x52) [0x450af2]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x2f0f) [0x7f0c5184391f]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 3: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x3655) [0x7f0c51844be5]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 4: /usr/libexec/Xorg.bin (DPMSSupported+0xe8) [0x4774c8]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 5: /usr/libexec/Xorg.bin (xf86SerialModemClearBits+0x277) [0x4a1ec7]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 6: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f0c5a9bd95f]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 7: /lib64/libc.so.6 (ioctl+0x7) [0x7f0c5aa7f407]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f0c5bd666c8]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 9: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f0c5bd68efb]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 10: /lib64/libdrm_nouveau.so.2 (nouveau_bo_wait+0x99) [0x7f0c55901789]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 11: /lib64/libdrm_nouveau.so.2 (nouveau_pushbuf_space+0xde) [0x7f0c55902aae]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (_init+0x1a141) [0x7f0c55b3f3d1]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 13: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0xe9e) [0x7f0c556f5b1e]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 14: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x19e1) [0x7f0c556f7131]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 15: /usr/libexec/Xorg.bin (DamageRegionAppend+0x541) [0x51f0b1]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 16: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x26a8) [0x7f0c556f8d68]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 17: /usr/libexec/Xorg.bin (AddTraps+0x4d8c) [0x51a1fc]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 18: /usr/libexec/Xorg.bin (SendErrorToClient+0x2f7) [0x4391b7]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 19: /usr/libexec/Xorg.bin (remove_fs_handlers+0x416) [0x43d316]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 20: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f0c5a9a8fe0]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 21: /usr/libexec/Xorg.bin (_start+0x29) [0x4276ee]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) 22: ? (?+0x29) [0x29]
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE)
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
mar 17 21:39:42 ajax gdm-Xorg-:0[1283]: (EE) [mi] mieq is *NOT* the cause.  It is a victim.
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) [mi] EQ overflow continuing.  100 events have been dropped.
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE)
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) Backtrace:
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 0: /usr/libexec/Xorg.bin (QueuePointerEvents+0x52) [0x450af2]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 1: /usr/libexec/Xorg.bin (xf86PostButtonEvent+0xe5) [0x487e35]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x2fbd) [0x7f0c518439cd]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 3: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x3655) [0x7f0c51844be5]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 4: /usr/libexec/Xorg.bin (DPMSSupported+0xe8) [0x4774c8]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 5: /usr/libexec/Xorg.bin (xf86SerialModemClearBits+0x277) [0x4a1ec7]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 6: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f0c5a9bd95f]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 7: /lib64/libc.so.6 (ioctl+0x7) [0x7f0c5aa7f407]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f0c5bd666c8]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 9: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f0c5bd68efb]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 10: /lib64/libdrm_nouveau.so.2 (nouveau_bo_wait+0x99) [0x7f0c55901789]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 11: /lib64/libdrm_nouveau.so.2 (nouveau_pushbuf_space+0xde) [0x7f0c55902aae]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (_init+0x1a141) [0x7f0c55b3f3d1]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 13: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0xe9e) [0x7f0c556f5b1e]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 14: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x19e1) [0x7f0c556f7131]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 15: /usr/libexec/Xorg.bin (DamageRegionAppend+0x541) [0x51f0b1]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 16: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x26a8) [0x7f0c556f8d68]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 17: /usr/libexec/Xorg.bin (AddTraps+0x4d8c) [0x51a1fc]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 18: /usr/libexec/Xorg.bin (SendErrorToClient+0x2f7) [0x4391b7]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 19: /usr/libexec/Xorg.bin (remove_fs_handlers+0x416) [0x43d316]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 20: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f0c5a9a8fe0]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 21: /usr/libexec/Xorg.bin (_start+0x29) [0x4276ee]
mar 17 21:39:43 ajax gdm-Xorg-:0[1283]: (EE) 22: ? (?+0x29) [0x29]



Version-Release number of selected component (if applicable):
Kernel: 3.18.9-200
xorg: xorg-x11-server-Xorg-1.16.3-2.fc21.x86_64
nouveau: 1.0.11-1.fc21


How reproducible:


Steps to Reproduce:
1. Select some text in Libre Office Writer
2. Press "Table" menu item.
3.

Actual results:
Display stops accepting input, mouse pointer moveable, but not responding. Keyboard not responding too.

Expected results:
Menu displayed

Additional info:

Comment 1 Stuart D Gathman 2015-04-24 16:30:54 UTC
Here is what was logged in journalctl with kernel-3.19.4.  The instant of selecting the menu option with a paragraph highlighted was 11:35:25.

Apr 24 11:33:52 gail.gathman.org gnome-session[1687]: Window manager warning: Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x1200001 not in stack
Apr 24 11:34:31 gail.gathman.org gnome-session[1687]: Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Apr 24 11:34:55 gail.gathman.org gnome-session[1687]: Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Apr 24 11:35:25 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:25 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:25 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:25 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:25 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:32 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:32 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:32 gail.gathman.org kernel: nouveau E[   PFIFO][0000:01:00.0] still angry after 101 spins, halt
Apr 24 11:35:44 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:46 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:48 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:50 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:55 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:57 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input
Apr 24 11:35:59 gail.gathman.org sh[812]: abrt-watch-log: Warning, '/usr/bin/abrt-dump-xorg' did not process its input

Comment 2 Stuart D Gathman 2015-04-24 16:37:55 UTC
(In reply to Stuart D Gathman from comment #1)
Above was from an F20 system - I meant to put it on bug#1205875

Comment 3 TL 2015-04-27 20:35:11 UTC
I get this freeze almost once a day, always when using Libreoffice, really bad. Kernel 3.19.5-100, F20, 64-bit.  Any workaround besides replacing with nvidia driver?

Comment 4 Tom Hughes 2015-05-18 12:36:53 UTC
I never had this with F20 but I'm getting it fairly often with F21 though not specifically tied to LibreOffice or indeed anything else other than normal desktop use.

Comment 5 Fedora End Of Life 2015-11-04 11:55:49 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 10:12:33 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.